Skip to main content
POST
/
v1
/
sandbox
/
sub-wallet
/
create
Sandbox Create Sub-Wallet
curl --request POST \
  --url https://api.openxswitch.com/v1/sandbox/sub-wallet/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "name": "<string>",
  "clientUserId": "<string>",
  "canTrade": true
}
'
{
  "success": true,
  "data": {
    "id": "63e1b8c2f18e310bb11f8a9c",
    "clientUserId": "client_001",
    "email": "walletName@openxswitch.org",
    "name": "OX Wallet",
    "isActive": "true",
    "language": "en_US",
    "canTrade": false,
    "createdAt": "2025-01-17T10:00:00Z",
    "updatedAt": "2025-01-17T12:00:00Z",
    "workspaceId": "63e1b8c2f18e310bb11f8a9c"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required

Email associated with the sub-wallet (max 50 characters)

name
string
required

The name of the sub-wallet (max 50 characters)

clientUserId
string

The client user ID associated with the sub-wallet

canTrade
boolean

Activate Trading/Instant-Swap Access for sub-wallet

Response

success
boolean
required
Example:

true

data
object
required